Recent content by chromefree

  1. C

    Logic TDM Logic Pro Version Compatibility

    I'm tied to OS 8.5 because I use Pro Tools HD 10, and I'm not upgrading to greedy Avid anymore. I might just Logic on a different computer. Thanks for your input, Charile.
  2. C

    Logic TDM Logic Pro Version Compatibility

    Gentlemen, I have Logic Pro 10.0.7 installed on a mid 2012 Mac Pro along with Pro Tools HD2, (PT HD 10.3.8). I am using OS 10.8.5. The current Logic Pro version 10.2.1 requires OS 10.9.5, which is NOT compatible with my version of Pro Tools. Does anyone know if there is a LPX version between...
Top